!!======================================================================

  SUBROUTINE obc_init_height(xe)

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE obc_init_height  ***
!&E
!&E ** Purpose : Evaluation of water column height and layer depths
!&E              at u,v locations
!&E
!&E ** Description :
!&E
!&E ** Called by : main.F90,initfromfile.F90
!&E
!&E ** External calls :
!&E
!&E ** Used ij-arrays : hx,hy,xe
!&E
!&E ** Modified variables : htx,hzutx,hty,hzuty
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !  2008-07  (V. Garnier)  Original code from dyn3d_height_mask
!&E       !  2011-03  (F. Dumas) remove case 2 and 3 on tidal flats
!&E       !  2011-11  (V. Garnier) Spatial extension of ssh(liminm2:limaxp2,ljminm2:ljmaxp2)
!&E
!&E---------------------------------------------------------------------





























































!! * Modules used
   USE parameters
   USE comvars2d, ONLY : htx,hty,hx,hy


   IMPLICIT NONE

!! * Arguments
   REAL(KIND=rsh), DIMENSION(liminm2:limaxp2,ljminm2:ljmaxp2), INTENT (in) :: xe

!! * Local declarations
   INTEGER                                                     :: i,j,k

!!----------------------------------------------------------------------
!! * Executable part



  END SUBROUTINE obc_init_height
